Package com.tibco.patterns.qbp

## Class ANetricsQueryBuilderBuilderBase.FirstValidQlt

- java.lang.Object
- - com.tibco.patterns.qbp.ANetricsQueryBuilderBuilderBase.FirstValidQlt

- Enclosing class:
    ANetricsQueryBuilderBuilderBase

      protected static class ANetricsQueryBuilderBuilderBase.FirstValidQlt
      extends java.lang.Object

  Define a querylet for the FirstValid score combiner.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FirstValidQlt​(com.netrics.likeit.NetricsQuery querylet, double match_score_cutoff, double confidence_cutoff, java.lang.Boolean preindex_it)` | Create the definition of a FirstValid querylet.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getConfidenceCutoff()` |
    `double` | `getMatchScoreCutoff()` |
    `boolean` | `getPreindexIt()` |
    `com.netrics.likeit.NetricsQuery` | `getQuerylet()` |
    `void` | `setQuerylet​(com.netrics.likeit.NetricsQuery querylet)` | Set the query to be used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FirstValidQlt

          public FirstValidQlt​(com.netrics.likeit.NetricsQuery querylet,
                               double match_score_cutoff,
                               double confidence_cutoff,
                               java.lang.Boolean preindex_it)
                        throws java.lang.IllegalArgumentException

      Create the definition of a FirstValid querylet.
      Parameters:
        `querylet` - the NetricsQuery object representing the querylet.
        `match_score_cutoff` - the threshold score that divides a matching feature from a non-matching feature. A value of -1.0 indicates the absolute cutoff value should be used. (Required.)
        `confidence_cutoff` - use this querylet only if the confidence measure is greater than or equal to this value. A value of -1.0 implies the default confidence cutoff should be used. (Required.)
        `preindex_it` - if true the querylet is scanned by the prefilter, if false the prefilter ignores this querylet. (Default: true)
      Throws:
        `java.lang.IllegalArgumentException` - if the cutoff values are not between 0.0 and 1.0 or -1.0.

  - ### Method Detail

    - #### setQuerylet

          public void setQuerylet​(com.netrics.likeit.NetricsQuery querylet)

      Set the query to be used.
      Parameters:
        `querylet` - the query for this supporting querylet.

    - #### getQuerylet

          public com.netrics.likeit.NetricsQuery getQuerylet()

      Returns:
        the querylet object.
      Throws:
        `java.lang.IllegalStateException` - if no querylet has been set.

    - #### getMatchScoreCutoff

          public double getMatchScoreCutoff()

      Returns:
        the supporting feature threshold score.

    - #### getConfidenceCutoff

          public double getConfidenceCutoff()

      Returns:
        the supporting feature support factor.

    - #### getPreindexIt

          public boolean getPreindexIt()

      Returns:
        the supporting feature penalty factor.